Retrieve signature

Use this method to retrieve a signature that a payment device captured using Payroc Cloud. Our gateway returns the following information about the signature: - Image of the signature - Format of the image - Date that the device captured the image

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signatureIdstringRequired=10 characters
Unique identifier that we assigned to the signature.

Response

Successful request. Returns the signature.
signatureIdstringOptional
Unique identifier that we assigned to the signature.
processingTerminalIdstringOptional
Unique identifier of the terminal that the signature is linked to.
createdOndateOptional

Date that the device captured the signature. The format of this value is YYYY-MM-DD.

contentTypestringOptional
MIME type that indicates the format of the image file.
signaturestringOptional

Image data for the signature. Our gateway returns the signature as a Base64-encoded value.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error